Skip to main content
GET
/
auto-enrolment
/
complete
/
payrun
/
{payrollConfigId}
/
{year}
/
{frequency}
/
{period}
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v2/pension/auto-enrolment/complete/payrun/{payrollConfigId}/{year}/{frequency}/{period}
{
  "content": {
    "data": [
      {
        "organisationId": "<string>",
        "employeeId": "<string>",
        "determinationDate": "2023-12-25",
        "revisionNumber": 123,
        "status": "<string>",
        "associatedPayRunId": {
          "organisationId": "<string>",
          "year": 123,
          "period": 123,
          "frequency": "<string>",
          "payrollConfigId": "<string>"
        },
        "isManualEnrolled": true,
        "autoEnrolmentPensionGroup": {
          "id": "<string>",
          "organisationId": "<string>",
          "pensionSchemaId": "<string>",
          "name": "<string>",
          "isDefault": true,
          "basis": "<string>",
          "employeeFactor": 123,
          "employerFactor": 123,
          "nationalInsuranceSavingsFactor": 123,
          "createdBy": "<string>",
          "createdDate": "2023-11-07T05:31:56Z",
          "updatedBy": "<string>",
          "updatedDate": "2023-11-07T05:31:56Z",
          "isSalarySacrifice": true
        },
        "employee": {
          "organisationId": "<string>",
          "employeeId": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "didPostpone": true,
        "didPostponementExpire": true,
        "postponementEndDate": "2023-12-25"
      }
    ],
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

payrollConfigId
string
required
year
integer<int32>
required
frequency
string
required
period
integer<int32>
required

Query Parameters

includeEmployeeDetails
boolean

Response

200 - application/json

OK

content
object
metadata
object
errors
object[] | null
message
object